//---------------------------------------------------------------------------

#ifndef Unit2H
#define Unit2H
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include "Unit3.h"
//---------------------------------------------------------------------------
class TWorkThread : public TThread
{
private:
protected:
	::CRITICAL_SECTION FLock;
	HANDLE FTerminateEvent;
	HANDLE FQueuEvent;
protected:
	::TMainQueu* FMainQueu;
	HWND FWindowHandle;
protected:
	TList* FQueuList;
	void GetDatas(TList* p_DataListPtr);
protected:
	void __fastcall Execute();
public:
	__fastcall TWorkThread(
							HWND p_hWindowHandle,
							TMainQueu* p_TMainQueuPtr,
							bool CreateSuspended
							);
	__fastcall virtual ~TWorkThread(void);
public:
	void PutData(PVOID p_DataPtr);

};
//---------------------------------------------------------------------------
#endif
